%define upstream_name    Getopt-Mixed
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Getopt processing with both long and short options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module is obsolete.

This package was my response to the standard modules Getopt::Std and
Getopt::Long. 'Std' doesn't support long options, and 'Long' didn't support
short options. I wanted both, since long options are easier to remember and
short options are faster to type.

However, some time ago Getopt::Long was changed to support short options as
well, and it has the huge advantage of being part of the standard Perl
distribution. So, Getopt::Mixed is now effectively obsolete. I don't intend
to make any more changes, but I'm leaving it available for people who have
code that already uses it. For new modules, I recommend using Getopt::Long
like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 367739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 1.110.0-1.mga3
+ Revision: 308774
- imported package perl-Getopt-Mixed

